import warnings

warnings.filterwarnings("ignore", category=DeprecationWarning)
warnings.filterwarnings("ignore", category=FutureWarning)

import os
import falconcv.models
import logging
from colorlog import ColoredFormatter

logger = logging.getLogger(__name__)
handler = logging.StreamHandler()
formatter = ColoredFormatter(
    "%(log_color)s%(levelname)-8s%(reset)s %(blue)s%(message)s",
    datefmt=None,
    reset=True,
    log_colors={
        "DEBUG": "cyan",
        "INFO": "green",
        "WARNING": "yellow",
        "ERROR": "red",
        "CRITICAL": "red,bg_white",
    },
    secondary_log_colors={},
    style="%",
)

handler.setFormatter(formatter)
logger.addHandler(handler)
logger.setLevel(logging.DEBUG)

# constants
name = "falconcv"
__version__ = "0.1.0"
os.environ[
    "TF_OBJECT_DETECTION_MODEL_ZOO_URI"
] = r"https://github.com/tensorflow/models/blob/master/research/object_detection/g3doc/tf2_detection_zoo.md"
os.environ[
    "TF_OBJECT_DETECTION_MODEL_CONFIG_URI"
] = r"https://api.github.com/repos/tensorflow/models/contents/research/object_detection/configs/tf2"
