import git
from clint.textui import progress
from git import RemoteProgress


class CloneProgress(RemoteProgress):
    def __init__(self, repo_name):
        super(CloneProgress, self).__init__()
        self.bar = None
        self.repo_name = repo_name

    def update(self, op_code, cur_count, max_count=None, message=""):
        is_begin = op_code & git.RemoteProgress.BEGIN != 0
        # is_end=op_code & git.RemoteProgress.END != 0
        if is_begin:
            if self.bar is None:
                self.bar = progress.Bar(
                    label="cloning {} repository".format(self.repo_name),
                    expected_size=max_count,
                )
        else:
            if op_code != cur_count:
                self.bar.show(cur_count)  # update progress bar
