import requests


class NetworkUtils:
    @staticmethod
    def internet_on(url="http://www.google.com/", timeout=5):
        try:
            req = requests.get(url, timeout=timeout)
            req.raise_for_status()
            return True
        except requests.HTTPError as e:
            print(
                "Checking internet connection failed, status code {0}.".format(
                    e.response.status_code
                )
            )
        except requests.ConnectionError:
            print("No internet connection available.")
        return False
